This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 192136 - seg fault when attempting 'ccs_tool lsnode'
seg fault when attempting 'ccs_tool lsnode'
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: ccs (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christine Caulfield
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-17 16:14 EDT by Corey Marthaler
Modified: 2009-04-16 16:01 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0554
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:16:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2006-05-17 16:14:49 EDT
Description of problem:
[root@taft-04 ~]# ccs_tool lsnode

Cluster name: TAFT_CLUSTER, config_version: 5

Nodename                        Votes Nodeid Iface Fencetype
Segmentation fault


[root@taft-04 ~]# strace ccs_tool lsnode
execve("/sbin/ccs_tool", ["ccs_tool", "lsnode"], [/* 22 vars */]) = 0
uname({sys="Linux", node="taft-04", ...}) = 0
brk(0)                                  = 0x512000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2a95556000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=109792, ...}) = 0
mmap(NULL, 109792, PROT_READ, MAP_PRIVATE, 3, 0) = 0x2a95557000
close(3)                                = 0
open("/usr/lib64/libxml2.so.2", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0@\2262P2"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=1073016, ...}) = 0
mmap(0x3250300000, 2154264, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3,
0) = 0x3250300000
mprotect(0x32503f9000, 1134360, PROT_NONE) = 0
mmap(0x32504f9000, 49152, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xf9000) = 0x32504f9000
mmap(0x3250505000, 36632, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x3250505000
close(3)                                = 0
open("/usr/lib64/libz.so.1", O_RDONLY)  = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0 \37@J2\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=79336, ...}) = 0
mmap(0x324a400000, 1123752, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3,
0) = 0x324a400000
mprotect(0x324a413000, 1045928, PROT_NONE) = 0
mmap(0x324a512000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x12000) = 0x324a512000
close(3)                                = 0
open("/lib64/tls/libpthread.so.0", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0 V`J2\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=106203, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2a95572000
mmap(0x324a600000, 1131384, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3,
0) = 0x324a600000
mprotect(0x324a610000, 1065848, PROT_NONE) = 0
mmap(0x324a70f000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xf000) = 0x324a70f000
mmap(0x324a711000, 13176, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x324a711000
close(3)                                = 0
open("/lib64/tls/libm.so.6", O_RDONLY)  = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\360= J2"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=613297, ...}) = 0
mmap(0x324a200000, 1593800, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3,
0) = 0x324a200000
mprotect(0x324a285000, 1049032, PROT_NONE) = 0
mmap(0x324a384000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x84000) = 0x324a384000
close(3)                                = 0
open("/lib64/libdl.so.2", O_RDONLY)     = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\200\17\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=17943, ...}) = 0
mmap(0x324a000000, 1056968, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3,
0) = 0x324a000000
mprotect(0x324a002000, 1048776, PROT_NONE) = 0
mmap(0x324a101000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1000) = 0x324a101000
close(3)                                = 0
open("/lib64/tls/libc.so.6", O_RDONLY)  = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0`\305\321"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=1493186, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2a95573000
mmap(0x3249d00000, 2310056, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3,
0) = 0x3249d00000
mprotect(0x3249e2b000, 1085352, PROT_NONE) = 0
mmap(0x3249f2a000, 24576, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x12a000) = 0x3249f2a000
mmap(0x3249f30000, 16296, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x3249f30000
close(3)                                = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2a95574000
mprotect(0x3249f2a000, 12288, PROT_READ) = 0
arch_prctl(ARCH_SET_FS, 0x2a955744e0)   = 0
munmap(0x2a95557000, 109792)            = 0
set_tid_address(0x2a95574570)           = 8094
rt_sigaction(SIGRTMIN, {0x324a605190, [], SA_RESTORER|SA_SIGINFO, 0x324a60c420},
NULL, 8) = 0
rt_sigaction(SIGRT_1, {0x324a605210, [], SA_RESTORER|SA_RESTART|SA_SIGINFO,
0x324a60c420}, NULL, 8) = 0
rt_sigprocmask(SIG_UNBLOCK, [RTMIN RT_1], NULL, 8) = 0
getrlimit(RLIMIT_STACK, {rlim_cur=10240*1024, rlim_max=RLIM_INFINITY}) = 0
_sysctl({{CTL_KERN, KERN_VERSION, 0, 0, 0, 0, 20a21, 0, 0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, 2, 0x7fbffff6d0, 34, (nil), 0}) = 0
futex(0x325050dc20, FUTEX_WAKE, 2147483647) = 0
brk(0)                                  = 0x512000
brk(0x533000)                           = 0x533000
stat("/etc/cluster/cluster.conf", {st_mode=S_IFREG|0640, st_size=3225, ...}) = 0
stat("/etc/cluster/cluster.conf", {st_mode=S_IFREG|0640, st_size=3225, ...}) = 0
stat("/etc/cluster/cluster.conf", {st_mode=S_IFREG|0640, st_size=3225, ...}) = 0
open("/etc/cluster/cluster.conf", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0640, st_size=3225, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2a95557000
read(3, "<?xml version=\"1.0\"?>\n<cluster c"..., 16384) = 3225
read(3, "", 12288)                      = 0
lseek(3, 0, SEEK_CUR)                   = 3225
lseek(3, 0, SEEK_SET)                   = 0
read(3, "<?xml version=\"1.0\"?>\n<cluster c"..., 4096) = 3225
read(3, "", 4096)                       = 0
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0x2a95557000, 4096)              = 0
fstat(1, {st_mode=S_IFCHR|0620, st_rdev=makedev(136, 0), ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2a95557000
write(1, "\n", 1
)                       = 1
write(1, "Cluster name: TAFT_CLUSTER, conf"..., 47Cluster name: TAFT_CLUSTER,
config_version: 5

) = 47
write(1, "Nodename                        "..., 61Nodename                     
  Votes Nodeid Iface Fencetype
) = 61
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++
Process 8094 detached



Version-Release number of selected component (if applicable):
[root@taft-04 ~]# rpm -q ccs
ccs-1.0.4-0


How reproducible:
everytime
Comment 1 Christine Caulfield 2006-05-24 09:40:56 EDT
Can you attach a cluster.conf file please ?
Comment 2 Christine Caulfield 2006-05-24 09:48:18 EDT
Never mind, found it.

There was no "votes" property for the nodes. It should cope with that now.

Checking in editconf.c;
/cvs/cluster/cluster/ccs/ccs_tool/editconf.c,v  <--  editconf.c
new revision: 1.8.2.2; previous revision: 1.8.2.1
done
Comment 3 Corey Marthaler 2006-08-03 15:03:15 EDT
fix verified.
Comment 5 Red Hat Bugzilla 2006-08-10 17:16:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0554.html

Note You need to log in before you can comment on or make changes to this bug.